spring:
  application:
    name: test-producer
  profiles:
    active: local
---
spring:
  profiles: local
  cloud:
    stream:
      kafka:
        binder:
          brokers: localhost:9092
      bindings:
        test-output:
          destination: test
          content-type: application/json
---
spring:
  profiles: gcp
  cloud:
    stream:
      kafka:
        binder:
          brokers: external-kafka:9092
      bindings:
        test-output:
          destination: test
          content-type: application/json
---
spring:
  profiles: kafka-clustering
  cloud:
    stream:
      kafka:
        binder:
          brokers: ${kafka}
      bindings:
        test-output:
          destination: test
          content-type: application/json